Advertisement
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Outdated NoExplosion 1.0.0

Restrict ignating a TNT

  1. Omattyao
    Offline

    Omattyao New Member Plugin Developer

    Joined:
    Aug 24, 2013
    Posts:
    18
    Plugins:
    7
    Minecraft User:
    omattyao
    If install this plugin, players cannot explode a TNT in your server!

    - Download latest

    Changelog:
    Code:
    1.0.0:
    -Release
    Commands:
    /noexplosion on - enable this plugin.
    /noexplosion off - disable this plugin.
    (default: on)
    Last edited: Sep 6, 2013
  2. Legomite
    Offline

    Legomite Active Member Plugin Developer

    Joined:
    Sep 8, 2013
    Posts:
    470
    Plugins:
    2
    Minecraft User:
    Legomite
    I don't think you can even explode TNT on pocketmine. Can you?
  3. ZacHack
    Offline

    ZacHack Staff Member Sectional Moderator

    Joined:
    Aug 23, 2013
    Posts:
    325
    Plugins:
    6
    Minecraft User:
    _ZacHack_
    On the dev version you can
  4. Legomite
    Offline

    Legomite Active Member Plugin Developer

    Joined:
    Sep 8, 2013
    Posts:
    470
    Plugins:
    2
    Minecraft User:
    Legomite
    Ohh.
  5. Gurubashi
    Offline

    Gurubashi New Member

    Joined:
    Feb 9, 2014
    Posts:
    5
    I can't seem to get this working. On server start I get "[WARNING] Plugin "NoExplosion" may not be compatible with the API (10 != 11)! It can crash or corrupt the server!" so I guess the problem is using an old API. The plugin loads ok and can be set to ON/OFF, except TNT always detonate regardless of this setting.

    Any chance of having this plugin updated anytime soon? I had a look at the code but have not got the slightest idea on how to do it myself.
  6. Darunia18
    Offline

    Darunia18 Staff Member Sectional Moderator

    Joined:
    Aug 23, 2013
    Posts:
    754
    Plugins:
    2
    Minecraft User:
    Darunia18
    I've been meaning to look into this because someone else reported that it still explodes for ops. I've just been so busy for the last few weeks and my schedule won't actually clear up for awhile. Next Wednesday will be the first day I'll have time to do something with my time for awhile. I promise you, I will look into this as soon as I can!
  7. Gurubashi
    Offline

    Gurubashi New Member

    Joined:
    Feb 9, 2014
    Posts:
    5
    Thanks, it is appreciated!
  8. matthijspc
    Offline

    matthijspc New Member

    Joined:
    Apr 23, 2014
    Posts:
    43
    Minecraft User:
    matthijspc
    please update it to API 12 (amai beetroot)
  9. Tuff
    Offline

    Tuff Active Member

    Joined:
    Jan 25, 2014
    Posts:
    203
    Minecraft User:
    Roboroug2
    Beetroot is 13.
  10. matthijspc
    Offline

    matthijspc New Member

    Joined:
    Apr 23, 2014
    Posts:
    43
    Minecraft User:
    matthijspc
    no, it 12.
    Code:
    18:49:49 [INFO] This server is running PocketMine-MP version Alpha_1.3.12 "甘い(Amai)ビートルート(Beetroot)" (MCPE: v0.8.1 alpha) (API 12)
    
  11. Tuff
    Offline

    Tuff Active Member

    Joined:
    Jan 25, 2014
    Posts:
    203
    Minecraft User:
    Roboroug2
    We usually refer to 1.3.12 as 1.3 or 13, 12 is an earlier api. You're correct but just use 1.3 to avoid confusion.
  12. Darunia18
    Offline

    Darunia18 Staff Member Sectional Moderator

    Joined:
    Aug 23, 2013
    Posts:
    754
    Plugins:
    2
    Minecraft User:
    Darunia18
    1.3.12 is API 12. 1.3 had lots of different APIs, like 1.3.11 was API 11. 1.3.0 came out a year ago, so there's been lots of changes to the API since then. They're definitely not the same. And API 13 doesn't exist, and never will, and API 14 doesn't exist and never will either, especially since PocketMine 1.4 will be API 1.0.0.
  13. Tuff
    Offline

    Tuff Active Member

    Joined:
    Jan 25, 2014
    Posts:
    203
    Minecraft User:
    Roboroug2
    Aaaaaahhh, so I'm the one who is confused. Well, lesson learned. Don't be authoritative when you have no idea what you're talking about. :p

Share This Page

Advertisement